PTX(1)

NOM
ptx - Générer un index croisé du contenu de fichiers

SYNOPSIS
ptx [OPTION]... [ENTRÉE]... (sans -G)
ptx -G [OPTION]... [ENTRÉE [SORTIE]]

DESCRIPTION

Produire un index permuté, incluant le contexte, des mots des fichiers d'entrée.

L'entrée standard est lue quand FICHIER est omis ou quand FICHIER vaut « - ».

Les paramètres obligatoires pour les options de forme longue le sont aussi pour les options de forme courte.

-A, --auto-reference
    afficher des références générées automatiquement

-G, --traditional
    faire fonctionner « ptx » comme la version System V

-F, --flag-truncation=CHAÎNE
    utiliser la CHAÎNE pour indiquer la troncature des lignes. Par défaut, il s'agit de « / »

-M, --macro-name=CHAÎNE
    utiliser la macro CHAÎNE au lieu de « xx »

-O, --format=roff
    générer la sortie comme des directives roff

-R, --right-side-refs
    placer les références à droite, non pris en compte avec -w

-S, --sentence-regexp=EXPRAT
    utiliser l'expression EXPRAT pour déterminer la fin des lignes ou des phrases

-T, --format=tex
    générer la sortie comme des directives TeX

-W, --word-regexp=EXPRAT
    utiliser EXPRAT pour établir la concordance avec chaque mot

-b, --break-file=FICHIER
    utiliser les caractères de coupure de mots listés dans le FICHIER

-f, --ignore-case
    changer les minuscules en majuscules pour le tri

-g, --gap-size=N
    espacer les champs de N colonnes

-i, --ignore-file=FICHIER
    lire la liste des mots à ignorer dans le FICHIER

-o, --only-file=FICHIER
    lire uniquement la liste des mots dans le FICHIER

-r, --references
    utiliser le premier champ de chaque ligne comme référence

-t, --typeset-mode - option non implémentée -

-w, --width=N
    afficher des colonnes de largeur N, références exclues

--help
    afficher l'aide-mémoire et quitter

--version
    afficher le nom et la version du logiciel et quitter

AUTEUR
Écrit par F. Pinard.

SIGNALER DES BOGUES
Aide en ligne de GNU coreutils : <https://www.gnu.org/software/coreutils/>
Signaler toute erreur de traduction à <https://translationproject.org/team/fr.html>

COPYRIGHT
Copyright © 2020 Free Software Foundation, Inc. Licence GPLv3+ : GNU GPL version 3 ou ultérieure <https://gnu.org/licenses/gpl.html>
Ce programme est un logiciel libre. Vous pouvez le modifier et le redistribuer. Il n'y a AUCUNE GARANTIE dans la mesure autorisée par la loi.

VOIR AUSSI
Documentation complète : <https://www.gnu.org/software/coreutils/ptx>
aussi disponible localement à l’aide de la commande : info '(coreutils) ptx invocation'

TRADUCTION
La traduction française de cette page de manuel a été créée par Luc Froidefond <luc.froidefond@free.fr>, Nicolas François <nicolas.francois@centraliens.net>, Bastien Scher <bastien0705@gmail.com>, David Prévot <david@tilapin.org> et Jean-Philippe MENGUAL <jpmengual@debian.org> Cette traduction est une documentation libre ; veuillez vous reporter à la GNU General Public License version 3 (https://www.gnu.org/licenses/gpl-3.0.html) concernant les conditions de copie et de distribution. Il n'y a aucune RESPONSABILITÉ LÉGALE. Si vous découvrez un bogue dans la traduction de cette page de manuel, veuillez envoyer un message à debian-l10n-french@lists.debian.org.